Package csb :: Package numeric :: Module integrators :: Class AbstractGradient

[frames] | no frames]

# Class AbstractGradient

source code

    object --+
             |
            AbstractGradient

Known Subclasses:
  - statistics.samplers.mc.multichain.Gradient

Abstract gradient class. Implementations evaluate the gradient of an energy function.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

numpy array

__call__(self, q, t) Evaluates the gradient at position q and time t. | source code

numpy array

evaluate(self, q, t) Evaluates the gradient at position q and time t. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``evaluate``'``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __call__(self, q, t)
(Call operator)

source code

Evaluates the gradient at position q and time t.

Parameters:
  - `q` (One-dimensional numpy array) - Position array
  - `t` (float) - Time
Returns: numpy array

### evaluate(self, q, t)

source code

Evaluates the gradient at position q and time t.

Parameters:
  - `q` (One-dimensional numpy array) - Position array
  - `t` (float) - Time
Returns: numpy array